import { z } from 'zod';

export const nullableUrlStringParser = z.union([z.string().url(), z.null()]).default(null);
export const nullableStringParser = z.union([z.string(), z.null()]).default(null);
export const nullableBoolParser = z.union([z.boolean(), z.null()]).default(null);
