import { CollectiveId } from '../collective/types';
import { BlogId } from '../blog/id.types';
import { CHANNEL_TYPES } from './constants';
import { MixspaceId } from '../mixspace/id.types';
import { z } from 'zod';
import { channelCompositeIdParser } from './parsers';
export declare type ChannelId = CollectiveId | BlogId | MixspaceId;
export declare type ChannelIdClassicPayable = Exclude<ChannelId, MixspaceId>;
export declare type ChannelType = typeof CHANNEL_TYPES[number];
export declare type ChannelCompositeId = z.infer<typeof channelCompositeIdParser>;
