import { z } from 'zod';
import { mixspaceCreateInputParser, mixspaceCreateResponseParser, mixspaceDeleteParamsParser, mixspaceGetOneParamsParser, mixspaceGetOneResultParser, mixspaceListQueryParser, mixspaceListResultParser, mixspaceUpdateInputParser, mixspaceUpdateParamsParser } from './parsers';
export declare type MixspaceCreateBody = z.infer<typeof mixspaceCreateInputParser>;
export declare type MixspaceCreateResult = z.infer<typeof mixspaceCreateResponseParser>;
export declare type MixspaceUpdateBody = z.infer<typeof mixspaceUpdateInputParser>;
export declare type MixspaceUpdateParams = z.infer<typeof mixspaceUpdateParamsParser>;
export declare type MixspaceListQuery = z.infer<typeof mixspaceListQueryParser>;
export declare type MixspaceListResult = z.infer<typeof mixspaceListResultParser>;
export declare type MixspaceGetOneParams = z.infer<typeof mixspaceGetOneParamsParser>;
export declare type MixspaceGetOneResult = z.infer<typeof mixspaceGetOneResultParser>;
export declare type MixspaceDeleteParams = z.infer<typeof mixspaceDeleteParamsParser>;
