import { z } from 'zod';

const FBIDSoftRegex = /^[a-zA-Z0-9-_]{1,50}$/;
export const FBIDSoftRegexS = FBIDSoftRegex.toString();
export const firebaseCommonIdParser = z
  .string()
  .regex(FBIDSoftRegex)
  .refine((s) => s.indexOf('null') === -1)
  .refine((s) => s.indexOf('undefined'));
