import { stripeCustomerIdParser } from '../stripe/parsers';
import { PayinProviderCustomerId } from './types';
import { paypalCustomerIdParser } from '../paypal/parsers';

export const payinProviderCustomerIdParser = stripeCustomerIdParser.or(paypalCustomerIdParser).transform((o) => {
  const r: PayinProviderCustomerId = o; // assert
  return r;
});
