import { z } from 'zod';
export declare const passwordEntropyParser: z.ZodEffects<z.ZodString, string, string>;
export declare const signupRequestParser: z.ZodObject<{
    email: z.ZodString;
    password: z.ZodIntersection<z.ZodString, z.ZodEffects<z.ZodString, string, string>>;
}, "strip", z.ZodTypeAny, {
    email: string;
    password: string;
}, {
    email: string;
    password: string;
}>;
