import { StripeCustomerId, StripePaymentMethodId } from '../stripe/types';
import { PAYIN_PROVIDER_ORIGIN_TYPES } from './constants';
export declare type PayinProviderOriginType = typeof PAYIN_PROVIDER_ORIGIN_TYPES[number];
export declare type PaypalCustomerId = 'paypal';
export declare type PayinProviderCustomerId = StripeCustomerId | PaypalCustomerId;
export declare type PayinProviderCustomerIdPerOriginType = {
    paypal: PaypalCustomerId;
    stripe: StripeCustomerId;
};
export declare type PayinProviderPaymentMethodIdPerOriginType = {
    paypal: string;
    stripe: StripePaymentMethodId;
};
export declare type PayinProviderOriginId = PayinProviderCustomerId;
