import { z } from 'zod';
import { isPaypalPlanId, isPaypalProductId } from './utils';

export const paypalPlanIdParser = z.string().refine(isPaypalPlanId);
export const paypalProductIdParser = z.string().refine(isPaypalProductId);
export const paypalPaymentMethodIdParser = z.string(); // TODO
export const paypalCustomerIdParser = z.literal('paypal'); // TODO
