import { ChannelId } from '../channel/types';
import { isChannelId } from '../channel/utils';

// plan_khDLMhDnklRNF5G4kpBZ_1000_prod_prod_HbyxcuwcBSIuUW and such
export const getChannelIdFromPriceId = (priceId: string): null | ChannelId => {
  const s = priceId.split('_')[1];
  if (!isChannelId(s)) {
    console.error(`Price ${priceId} has no channel id`);
    return null;
  }
  return s;
};
